Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sun, 23 May 2021 16:58:52 +0000

Hi Hamza Nomani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi hru? I was 2 times order of *junior tyson travel cot with changer* but I didn't received yet. First time I payed but after 2 days they  cancelled the order but I didn't get my payment. Second time, I ordered cash on delivery they accepted the order and 2 days to third day they cancelled the order.  I am very disappointed this time. Kindly check the status. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2614907